# Interface EventData

Context object passed to events and hook functions.

interface EventData {
node : FancytreeNode ;
options : FancytreeOptions ;
originalEvent : JQueryEventObject ;
response : any;
result : any;
targetType : string;
tree : Fancytree ;
widget : any;
}

- Defined in src/public/app/types-fancytree.d.ts:692

##### Index

### Properties

node
options
originalEvent
response
result
targetType
tree
widget

## Properties

### node

node: FancytreeNode

The node that this call applies to (`null` for tree events)

- Defined in src/public/app/types-fancytree.d.ts:702

### options

options: FancytreeOptions

Shortcut to tree.options

- Defined in src/public/app/types-fancytree.d.ts:698

### originalEvent

originalEvent: JQueryEventObject

The jQuery Event that initially triggered this call

- Defined in src/public/app/types-fancytree.d.ts:700

### response

response: any

(only for postProcess event) Original ajax response

- Defined in src/public/app/types-fancytree.d.ts:709

### result

result: any

(output parameter) Event handlers can return values back to the caller. Used by `lazyLoad`, `postProcess`, ...

- Defined in src/public/app/types-fancytree.d.ts:705

### targetType

targetType: string

(only for click and dblclick events) 'title' | 'prefix' | 'expander' | 'checkbox' | 'icon'

- Defined in src/public/app/types-fancytree.d.ts:707

### tree

tree: Fancytree

The tree instance

- Defined in src/public/app/types-fancytree.d.ts:694

### widget

widget: any

The jQuery UI tree widget

- Defined in src/public/app/types-fancytree.d.ts:696